Page MenuHome

Switching between passes in the image editor can make the channel selector invalid.
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.86

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f
Worked: (optional)

Short description of error
When switching between a RGB pass and a Value Pass in the Image editor the channel selector can become invalid showing an incorrect image to the user.

Exact steps for others to reproduce the error

  1. enable mist pass
  2. render image
  3. switch from combined pass to mist pass.

See that the channel selector is empty.

Event Timeline

Philipp Oeser (lichtwerk) changed the task status from Needs Triage to Needs Information from User.Mar 10 2020, 3:55 PM

Not sure if such a heavy file is needed for this?

One thing I noticed is that you have to switch the Display Channels to Color to see it properly in the Image Editor.
(without doing this, I am getting transparent pixels where geometry is)
This I can reproduce with the default cube

@Gukhoul Shivam Singh (shivam) : is that what you are talking about?
If not, please try to explain what exactly you mean by no mist pass (and also the difference between 2.82 and 2.83)

If something is already resolved in a newer version [but not in 2.82], there is usually no backporting, we can only consider adding it to 2.82a

CC @Jeroen Bakker (jbakker)

@Gukhoul Shivam Singh (shivam) please provide with the request details
@Philipp Oeser (lichtwerk) should it be closed now ?

Jeroen Bakker (jbakker) changed the task status from Needs Information from User to Confirmed.Mar 19 2020, 9:14 AM
Jeroen Bakker (jbakker) claimed this task.
Jeroen Bakker (jbakker) changed the subtype of this task from "Report" to "Bug".
Jeroen Bakker (jbakker) edited projects, added Images & Movies; removed Eevee.

The image channel selector needs more to check the current pass type it is showing that I would categorize that as a bug. Solution is not that complicated only takes a lot of testing. I can look at it next week as it is annoying. But it has nothing to do with the mist pass, depth pass and other single value passes have the same issue.

Jeroen Bakker (jbakker) renamed this task from Mist pass is not working on 2.82 to Switching between passes in the image editor can make the channel selector invalid..Mar 19 2020, 9:16 AM
Jeroen Bakker (jbakker) updated the task description. (Show Details)

related T74895: Diffuse color pass doesn't output correctly after changing the SSS intensity on the principled shader ?

Don't think so, that ticket describes the viewport render passes. This ticket is abount the image editor.

@Jeroen Bakker (jbakker) Should I update that to mention that it's also a compositor issue?